// 0pts
#include <cstdio>
using namespace std;

int main()
{
    freopen("geometry.in", "r", stdin);
    freopen("geometry.out", "w", stdout);
    
    int cas;
    
    scanf("%d", &cas);
    while (cas--)
        puts("4 1");
    
    return 0;
}